%define name ksetispy
%define version 0.6.1
%define release 1mdk


Summary:   A KDE3 SETI@home monitoring tool
Name:      %name
Version:   %version
Release:   %release
License: GPL
Url:       http://ksetispy.sourceforge.net/
Icon:      ksetispy.xpm
Group:     Sciences/Astronomy
Source:    %name-%version.tar.bz2
Buildrequires: qt3-devel zlib-devel
BuildRoot: %_tmppath/%{name}-buildroot

%description
KSetiSpy is a KDE3 utility that monitors the progress of the SETI@home client,
and displays all kinds of information about the work unit(s) being processed.
It uses the same interface as SETI Spy, a popular Windows utility.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

./configure --prefix=%_prefix --disable-rpath --libdir=%_libdir

%build

%make

%install

%makeinstall

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/ksetispy"\
title="Ksetispy"\
longtitle="Monitors SETI@home client"\
needs="x11"\
icon="other_sciences.png"\
section="More applications/Sciences/Other"
EOF
)


%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/ksetispy

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%_datadir/applnk/Applications/*
%_datadir/apps/ksetispy
%_docdir/HTML/en/ksetispy
%_docdir/HTML/it/ksetispy
%_iconsdir/hicolor/16x16/apps/*
%_iconsdir/hicolor/32x32/apps/*
%_iconsdir/hicolor/48x48/apps/*
%_iconsdir/locolor/16x16/apps/*
%_iconsdir/locolor/32x32/apps/*
%_iconsdir/crystalsvg/scalable/apps/*
%_menudir/*


%changelog
* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-2mdk
- Rebuild

* Fri Sep 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-5mdk
- Rebuild

* Wed Apr 30 2003  Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-4mdk
- buildrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-3mdk
- Rebuild

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- rebuild

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- use macros
- fix files section
- menu
- from Roberto Virga <rvirga@users.sourceforge.net> :
	- spec file adaptation for Mandrake
